<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2005 Marc "Waccoon" Leveille, http://www.NineChime.com/Wacintosh.htm
Version 1.2.0 - Last modified 6/4/2005
*/


/*
NOTES:
	if (image_jpeg == true):
	Compress level of 1-2 is archival, 4 starts showing artifacts.  3-4 recommended.  0 not recommended due to lossless JPEG (use PNG instead).  Anything over 10 not recommended except for thumbnails.  Max value may be 100 if you hate your artists.  :)

	if (image_jpeg == false):
	PaintBBS employs lossy PNG!  Level should be 0 if image_jpeg is false.  PaintBBS doesn't murder PNGs like ShiPainter, but still, lossy PNG is not pretty.
*/


// Load bootstrap
$OekakiU    = $_COOKIE['OekakiU'];
$OekakiPass = $_COOKIE['OekakiPass'];
define ('BOOT', 1);
require ('boot.php');

// Input
$xcord = (int) $_GET['xcord'];
$ycord = (int) $_GET['ycord'];
$anim  = (int) $_GET['anim'];
$edit  = (int) $_GET['edit'];


// Bug in Mac version of Java requires hard-coded values, rather than CSS.  >:(
// Typical viewable width of 800x600 browser is 740px.  Extra room needed for sidebar!
	$xhack = '600';
// Typical height
	$yhack = '550';


// Check draw access
if (!$flags['D']) {
	report_err('You do not have draw access. Login to draw, or ask an administrator for details about receiving access.');
}

// Check anim access
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	$result = mysql_query ("SELECT PIC_ID, usrname, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);
	if ($row['usrname'] != $OekakiU) {
		$result2 = mysql_query ("SELECT PIC_ID, usrname, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE usrname='$OekakiU'");
		$row = mysql_fetch_array ($result2);
		$edit = (int) $row['PIC_ID'];
	}
	$size = GetImageSize($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}

//Verify that canvas sizes fit min/max
if ($xcord > $cfg['canvas_x']) {
	$xcord = $cfg['canvas_x'];
}
if ($ycord > $cfg['canvas_y']) {
	$ycord = $cfg['canvas_y'];
}

mysql_close($dbconn);



/* START HTML */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><?=$cfg['op_title']?></title>
	<meta http-equiv="content-type" content="text/html; charset=<?=$charset?>">
	<meta http-equiv="content-language" content="<?=$metatag_language?>">

	<link rel="stylesheet" type="text/css" href="<?=$cssinclude?>" title="<?=$template_name?>">

	<script language="JavaScript" type="text/javascript" src="Poteto.js">
	</script>
	<script language="JavaScript" type="text/javascript" src="noteBBS.js">
	</script>
</head>

<body>


<table style="width: 100%; padding: 0;" cellspacing="0">
<tr>
<td style="width: 80%; text-align: center; vertical-align: top;">

	<applet id="paintbbs"
		code="pbbs.PaintBBS.class"
		archive="PaintBBS.jar"
		width="<?= $xhack ?>"
		height="<?= $yhack ?>"
		mayscript>

		<param name="image_width" value="<?=$xcord?>" />
		<param name="image_height" value="<?=$ycord?>" />

<?
// See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);
?>
		<param name="image_jpeg" value="<?=$image_jpeg_value?>">
		<param name="image_size" value="<?=$image_size_value?>" />
		<param name="compress_level" value="<?=$image_compress?>" />

		<param name="undo" value="60" />
		<param name="undo_in_mg" value="12" />
<? if ($edit && $anim) { ?>
		<!-- Edit, Anim -->
		<param name="image_canvas" value="<?= $p_pic.$edit.'.pch'; ?>" />
		<param name="url_save" value="paintbbsget.php?mode=edit&edit=<?=$edit?>&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>" />
		<param name="url_exit" value="index.php" />
		<param name="thumbnail_type" value="animation" />
<? } ?>
<? if ($edit && !$anim) { ?>
		<!-- Edit, /Anim -->
		<param name="image_canvas" value="<?= $p_pic.$edit.'.'.$row['ptype']; ?>" />
		<param name="url_save" value="paintbbsget.php?mode=edit&edit=<?= $edit ?>&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>" />
		<param name="url_exit" value="index.php" />
		<!-- <param name="thumbnail_type" value="png" /> -->
<? } ?>
<? if (!$edit && $anim) { ?>
		<!-- /Edit, Anim -->
		<param name="url_save" value="paintbbsget.php?mode=anim&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>" />
		<param name="url_exit" value="index.php?mode=res_msg" />
		<param name="thumbnail_type" value="animation" />
<? } ?>
<? if (!$edit && !$anim) { ?>
		<!-- /Edit, /Anim -->
		<param name="url_save" value="paintbbsget.php?mode=norm&edittimes=<?= time() ?>&usr=<?= urlencode($OekakiU) ?>&vcode=<?= urlencode($OekakiPass) ?>" />
		<param name="url_exit" value="index.php?mode=res_msg" />
		<!-- <param name="thumbnail_type" value="png" /> -->
<? } ?>
		<param name="url_target" value="_self" />

		<param name="image_bkcolor" value="#ffffff" />
		<param name="color_text"value="#505078" />
		<param name="color_bk" value="#9999bb" />
		<param name="color_bk2" value="#8888aa" />
		<param name="color_icon" value="#ccccff" />

		<param name="poo" value="false" />
		<param name="send_header" value="" />
		<param name="send_header_image_type" value="false" />

		<param name="tool_advance" value="true" />
		<param name="send_advance" value="true" />
		<param name="send_language" value="utf8" />
	</applet>

	<p>
		<input onclick="maximize_app('paintbbs');" type="button" value="Resize PaintBBS to fit window" class="submit" />
	</p>
</td>

<td style="text-align: right; vertical-align: top; padding-right: 10px;">
	<form name="Palette">
		<h4>Palette</h4>

		<p>
			<input onclick="PaletteSave()" type="button" value="Set As Default Palette" name="button2" class="submit" />
			<br />
		</p>

		<p>
			<select onchange="setPalette()" name="select" size="15" class="pmultiline">
				<option selected>Default</option>
				<option>Hadairo</option>
				<option>Red</option>
				<option>Yellow</option>
				<option>Green</option>
				<option>Blue</option>
				<option>Purple</option>
				<option>Brown</option>
				<option>Character</option>
				<option>Pastel</option>
				<option>Sougen</option>
				<option>Moe</option>
				<option>Grayscale</option>
				<option>Main</option>
				<option>Wac!</option>
			</select>
		</p>

		<p>
			<input class="submit" onclick="PaletteNew()" type="button" value="Save Palette" name="button" />
			<br />
			<input class="submit" onclick="PaletteRenew()" type="button" value="Save Color Changes" name="button" />
			<br />
			<input class="submit" onclick="PaletteDel()" type="button" value="Delete Palette" name="button" />
			<br />
			<input class="submit" onclick="P_Effect(10)" type="button" value="Brighten" name="button" />
			<br />
			<input class="submit" onclick="P_Effect(-10)" type="button" value="Darken" name="button" />
			<br />
			<input class="submit" onclick="P_Effect(255)" type="button" value="Invert" name="button" />
			<br />
		</p>

		<h4>Palette Minipulate/Create</h4>

		<p>
			<select class="submit" name="m_m">
				<option value="0" selected>Replace all palettes</option>
				<option value="1">Replace active palette</option>
				<option value="2">Append palette</option>
			</select>
			<br />

			<input class="submit" onClick="PaletteMatrixGet()" type="button" value="Export" name="m_g" />
			<input class="submit" onClick="PalleteMatrixSet()" type="button" value="Import" name="m_s" />
			<br />

			<textarea class="multiline" onMouseOver="this.select()" name="setr" rows="3" cols="13"></textarea>
			<br />
		</p>
	</form>


	<form name="grad">
		<h4>Gradation</h4>

		<p>
			<input onclick="showHideLayer()" type="checkbox" name="view" />
			<input class="submit" onclick="ChengeGrad()" type="button" value=" OK " />
			<br />

			<select class = "ptxtinput" onchange="GetPalette()" name="p_st">
				<option selected>1</option>
				<option>2</option>
				<option>3</option>
				<option>4</option>
				<option>5</option>
				<option>6</option>
				<option>7</option>
				<option>8</option>
				<option>9</option>
				<option>10</option>
				<option>11</option>
				<option>12</option>
				<option>13</option>
				<option>14</option>
			</select>
			<input class="ptxtinput" onkeypress="Chenge_()" onchange="Chenge_()" size="8" name="pst" />
			<br />

			<select class="ptxtinput" onchange="GetPalette()" name="p_ed">
				<option>1</option>
				<option>2</option>
				<option>3</option>
				<option>4</option>
				<option>5</option>
				<option>6</option>
				<option>7</option>
				<option>8</option>
				<option>9</option>
				<option>10</option>
				<option>11</option>
				<option selected>12</option>
				<option>13</option>
				<option>14</option>
			</select>
			<input class="ptxtinput" onkeypress="Chenge_()" onchange="Chenge_()" size="8" name="ped" />
			<br />
		</p>
	</form>
</td>
</tr>
</table>
<br />


<!-- Floating DIV.  Works only in IE? -->
<div id="psft" style="z-index: 5; left: 5px; width: 100px; position: absolute; top: 100px; height: 30px"></div>


<!-- Controls -->
<div class="pheader">
	Applet Controls
</div>

<table class="pinfotable" style="width: 100%; text-align: center;">
	<tr>
	<td style="width: 50%;">
		<p>
			<strong>Please note:</strong>
		</p>
		<ul>
			<li>Any canvas size change will destroy your current picture!</li>
			<li>You cannot resize your canvas when retouching an older picture.</li>
			<li>You may need to refresh the window to start retouching.</li>
			<li>Click the "Float" button in the upper left corner to go fullscreen.</li>
			<li>Use the <strong>PRINT SCRN</strong> key regularly! &nbsp;<code>;)</code></li>
		</ul>
	</td>

<? if (!$edit) { ?>
	<td style="width: 50%;">
		<form name="form1" method="get" action="noteBBS.php">
			<p>
				<?=$langop_applet_modify?>
				( <?=$langop_applet_max?> <?=$cfg['canvas_x']?> &times; <?=$cfg['canvas_y']?> )
			</p>

			<p>
				X: <input type="text" name="xcord" value="<?=$xcord?>" class="ptxtinput" /><br />
				Y: <input type="text" name="ycord" value="<?=$ycord?>" class="ptxtinput" /><br />
			</p>
<? if ($anim) { ?>
			<input type="hidden" name="anim" value="<?=$anim?>" />
<? } ?>
			<input type="submit" name="Submit" value="Modify" class="submit" />
		</form>
	</td>
<? } ?>
	</tr>
</table>
<br />


<!-- Info -->
<div class="pheader">
	Java Information
</div>

<div class="pinfotable">
	<p style="text-align: center; padding: 0 20% 0 20%;">
		If you're having trouble with the applet, try downloading the latest version of Java from <a href="http://www.Java.com">www.Java.com</a>.  Older versions of Windows are based on the Microsoft Virtual Machine (a Java clone), and may not work very well.
	</p>
</div>
<br />


</body>
</html>