<?php
/*
	OekakiPoteto Language Pack v1.2a
	OekakiPoteto Copyright Theo Chakkapark / Marcello
	http://www.suteki.nu

	Langauge:
	Version 1.3.3

	Wacintaki:
	Version 1.2.0 - Last modified 3/17/2005


NOTE: It's best that you understand basic PHP or programming when creating a language pack to minimize problems.

PHP quotes scalars (text) two ways.  The first way is with single quotes ('), which is the fastest and preferred way.  Anything can be quoted with single quotes, including double quotes and dollar signs, so this type is great for HTML code.

	'I owe sombody named "Bubba" $500!'
	'Please visit <a href="MySite.com">ME</a>'

Only single quotes need to be escaped:

	'Tell him I\'m coming over for dinner'

The second way is with double quotes.  Double quoted text is fully parsed by PHP (and is thus slower), and allows you to insert special characters into the text, such as a newline (\n) or tab (\t).  When using double quotes, you must be careful to escape special characters properly, so to insert a dollar sign or double quote, you would use \$ or \", respectively.

	"\tSomebody named \"Bubba\" owes me \$500!\n"

If you are getting parse errors, it could be that you are missing a trailing semicolon at the end of your lines, or you have not escaped a special character like a dollar sign.

*/



// Language pack version number
$langop_langver = 'wac-1.3.2';

/* General Settings */

//name of the translator(s)
$langop_translator = '<a href="http://www.suteki.nu/">Theo Chakkapark</a>';

//change this to your language
$langop_language = 'English';
$metatag_language = 'en-us';

//change this to your language charset
$charset = 'iso-8859-1';

//Comments
$langop_comments = 'Default English language pack for OekakiPoteto / Wacintaki.';



/* Language Translation */

//OekakiPoteto Installation
$langop_install_title = 'OekakiPoteto Installation';

//mySQL Information
$langop_install_information = 'mySQL Information';

//If you do not know if your server has mySQL or how to access your mySQL account, e-mail your tech. support and ask for the following information: hostname, database name, username, and password. Without this information, you will be unable to install OP. If you need to remove the databases, look at the bottom of the page for a link to remove them. If you haven't read the readme.txt, DO IT NOW or your installation will fail! You must make sure you have the proper files and directories CHMODed before you continue. 

$langop_install_disclaimer = 'If you do not know if your server has mySQL or how to access your mySQL account, e-mail your tech. support and ask for the following information: hostname, database name, username, and password. Without this information, you will be unable to install OP. If you need to remove the databases, look at the bottom of the page for a link to remove them. If you haven\'t read the readme.txt, DO IT NOW or your installation will fail! You must make sure you have the proper files and directories CHMODed before you continue.';

//If your OP currently works, there is no need to change the mySQL information.
$langop_cpanel_mysqlinfo = 'If your OP currently works, there is no need to change the mySQL information.';

//Default Language
$langop_cpanel_deflang = 'Default Language';

//Artist
$langop_word_artist = 'Artist';


//Enable JPEG Compression 
$langop_compress_enjpg = 'Enable JPEG Compression';

//Compression Settings
$langop_compress_title = 'Compression Settings';

//JPEG Compression Quality
$langop_compress_qual = 'JPEG Compression Quality';

//(Range: 0 is high compression, low quality / 100 is little compression, high quality)
$langop_compress_range = '(Range: 0 is high compression, low quality / 100 is little compression, high quality)';

//Your server must have PNG and JPEG support in its GD library. If you do not know if it exists, you can try enabling this if you want, and change it back if you get any error messages. Please note that this option is available solely to reduce bandwidth, NOT reduce disk space. In fact, by enabling this option, your disk space usage WILL increase since both the PNG and JPEG version of the picture will be saved. By using JPEG compression, pictures that get displayed will be of lesser quality than the PNG. If enabled, PNG to JPEG conversions take place when a picture is being posted. You can adjust quality settings below. If your GD libary is less than version 2.0.1, your pictures will be saved with only 256 colors, and you might not want to use compression for pictures.<br /><br />Be aware that when you save your configuration settings and compression is enabled, there will be a delay in processing while the script converts the pictures to JPG format. For example, for 600 pictures, processing time is around 5 minutes.

$langop_compress_disc = 'Your server must have PNG and JPEG support in its GD library. If you do not know if it exists, you can try enabling this if you want, and change it back if you get any error messages. Please note that this option is available solely to reduce bandwidth, NOT reduce disk space. In fact, by enabling this option, your disk space usage WILL increase since both the PNG and JPEG version of the picture will be saved. By using JPEG compression, pictures that get displayed will be of lesser quality than the PNG. If enabled, PNG to JPEG conversions take place when a picture is being posted. You can adjust quality settings below. If your GD library is less than version 2.0.1, your pictures will be saved with only 256 colors, and you might not want to use compression for pictures.<br /><br />Be aware that when you save your configuration settings and compression is enabled, there will be a delay in processing while the script converts the pictures to JPG format. For example, for 600 pictures, processing time is around 5 minutes.';

//Date
$langop_word_date = 'Date';

//Top
$langop_word_top = 'Top';

//Time
$langop_word_time = 'Time';

//min
$langop_word_minutes = 'min';

//unknown
$langop_word_unknown = 'unknown';

//Age
$langop_word_age = 'Age';

//Gender
$langop_word_gender = 'Gender';

//Location
$langop_word_location = 'Location';

//Joined
$langop_word_joined = 'Joined';

//Language
$langop_word_language = 'Language';

//Charset
$langop_word_charset = 'Charset';

//Help
$langop_word_help = 'Help';

//URL
$langop_word_url = 'URL';

//Name
$langop_word_name = 'Name';

//Action
$langop_word_action = 'Action';

//Disable
$langop_word_disable = 'Disable';

//Enable
$langop_word_enable = 'Enable';

//Translator
$langop_word_translator = 'Translator';

//Yes
$langop_word_yes = 'Yes';

//No
$langop_word_no = 'No';

//Accept
$langop_word_accept = 'Accept';

//Reject
$langop_word_reject = 'Reject';

//Owner
$langop_word_owner = 'Owner';

//Type
$langop_word_type = 'Type';

//AIM
$langop_word_aolinstantmessenger = 'AIM';

//ICQ
$langop_word_icq = 'ICQ';

//MSN
$langop_word_microsoftmessenger = 'MSN';

//Yahoo
$langop_word_yahoomessenger = 'Yahoo';

//Username
$langop_word_username = 'Username';

//E-mail
$langop_word_email = 'E-Mail';

//Animated
$langop_word_animated = 'Animated';

//Normal
$langop_word_normal = 'Normal';

//Registered
$langop_word_registered = 'Registered';

//Guests
$langop_word_guests = 'Guests';

//Guest
$langop_word_guest = 'Guest';

//Message
$langop_word_message = 'Message';

//Refresh
$langop_word_refresh = 'Refresh';

//Comments
$langop_word_comments = 'Comments';

//Animations
$langop_word_animations = 'Animations';

//Archives
$langop_word_archives = 'Archives';

//Comment
$langop_word_comment = 'Comment';

//Delete
$langop_word_delete = 'Delete';

//Reason
$langop_word_reason = 'Reason';

//Special
$langop_word_special = 'Special';

//Archive
$langop_word_archive = 'Archive';



//Unarchive
$langop_word_unarchive = 'Unarchive';

//Homepage
$langop_word_homepage = 'Homepage';

//PaintBBS
$langop_word_paintbbs = 'PaintBBS';

//OekakiBBS
$langop_word_oekakibbs = 'OekakiBBS';

//Archived
$langop_word_archived = 'Archived';

//Server
$langop_word_ircserver = 'IRC Server';


//days
$langop_word_days = 'days';

//Hello
$langop_word_hello = 'Hello';

//Commenting
$langop_word_commenting = 'Commenting';

//Paletted
$langop_word_paletted = 'Paletted';

//Nickname
$langop_word_ircnickname = 'IRC Nickname';

//Template
$langop_word_template = 'Template';

//Channel
$langop_word_ircchannel = 'Channel';

//Horizontal
$langop_word_horizontal = 'Horizontal';

//Vertical
$langop_word_vertical = 'Vertical';

//Male
$langop_word_male = 'Male';

//Female
$langop_word_female = 'Female';

//Error
$langop_word_error = 'Error';

//Board
$langop_word_board = 'Board';

//Ascending
$langop_word_ascending = 'Ascending';

//Decending
$langop_word_decending = 'Decending';

//Recover
$langop_word_recover = 'Recover';

//Flags
$langop_word_flags = 'Flags';

//Admin
$langop_word_admin = 'Admin';

//Background
$langop_word_background = 'Background';

//Text
$langop_word_text = 'Text';

//Font
$langop_word_font = 'Font';

//Links
$langop_word_links = 'Links';

//Header
$langop_word_header = 'Header';

//View
$langop_word_view = 'View';

//Search
$langop_word_search = 'Search';

//FAQ
$langop_word_faq = 'FAQ';

//Memberlist
$langop_word_memberlist = 'Memberlist';

//News
$langop_word_news = 'News';

//Drawings
$langop_word_drawings = 'Drawings';

//Submenu
$langop_word_submenu = 'Submenu';

//Retouch
$langop_word_retouch = 'Retouch';

//Picture
$langop_word_picture = 'Picture';

//Color

$langop_word_color = 'Color';

//Colorcode
$langop_word_colorcode = 'Colorcode';

//text
$langop_word_text = 'text';

//Bold
$langop_word_bold = 'Bold';

//Italic
$langop_word_italic = 'Italic';

//Underline
$langop_word_underline = 'Underline';

//Strikethrough
$langop_word_strikethrough = 'Strikethrough';

//Example
$langop_word_example = 'Example';

//Preformatted
$langop_word_preformatted = 'Preformatted';

//action
$langop_word_action = 'action';

//Announcements
$langop_word_announcements = 'Announcements';

//Search
$langop_word_search = 'Search';

//Mailbox
$langop_word_mailbox = 'Mailbox';

//Inbox
$langop_word_inbox = 'Inbox';

//Outbox
$langop_word_outbox = 'Outbox';

//Subject
$langop_word_subject = 'Subject';

//Message
$langop_word_message = 'Message';

//Reply
$langop_word_reply = 'Reply';

//From
$langop_word_from = 'From';

//Write
$langop_word_write = 'Write';

//To
$langop_word_to = 'To';

//Status
$langop_word_status = 'Status';

//Edit
$langop_word_edit = 'Edit';

//Chat
$langop_word_chat = 'Chat';

//Online
$langop_word_online = 'Online';

//Mailbox
$langop_word_mailbox = 'Mailbox';

//Register
$langop_word_register = 'Register';

//Administration
$langop_word_administration = 'Administration';

//Draw
$langop_word_draw = 'Draw';

//Logoff
$langop_common_loggedin = 'Logged in as';

//Profile
$langop_word_profile = 'Profile';

//Local
$langop_word_local = 'Local';

//Edit Pics
$langop_header_epics = 'Edit&nbsp;Pics';

//Your picture
$langop_functions_yourpic = 'Your picture';

//Recover Pics
$langop_header_rpics = 'Recover&nbsp;Pics';

//Delete Pics
$langop_header_dpics = 'Delete&nbsp;Pics';

//Delete Comments
$langop_header_dcomm = 'Delete&nbsp;Comments';

//Edit Comments
$langop_header_ecomm = 'Edit&nbsp;Comments';

//View Pending
$langop_header_vpending = 'View&nbsp;Pending';

//Re-Touch
$langop_word_retouch = 'Re-Touch';

//Logout
$langop_word_logoff = 'Logout';

//Modify Flags
$langop_common_mflags = 'Modify&nbsp;Flags';

//Delete User
$langop_common_delusr = 'Delete&nbsp;User';

//(include the http://)
$langop_common_http = '(include the http://)';

//Move to page
$langop_common_moveto = 'Move to page';

//Scroll Down
$langop_chat_scroll = 'Scroll Down';

//Conversation
$langop_chat_conversation = 'Conversation';

//Chat Information (required)
$langop_chat_chatinfo = 'Chat Information (required)';

//Move to Page
$langop_common_mpage = 'Move to Page';

//Delete Picture

$langop_common_deletepic = 'Delete Picture';

//Picture Number
$langop_common_picno = 'Picture Number';

//Approved by
$langop_common_approvby = 'Approved by';

//Rejected by
$langop_common_rejby = 'Rejected by';

//Close this Window
$langop_common_window = 'Close this Window';

//Last Login
$langop_common_lastlogin = 'Last Login';

//Picture Posts
$langop_common_picposts = 'Picture Posts';

//Comment Posts
$langop_common_compost = 'Comment Posts';

//Join Date
$langop_common_jdate = 'Join Date';

//Message Box
$langop_chat_msgbox = 'Message Box';

//You can use the message box to leave requests/comments, or talk to OekakiPoteto members if they are online.<b> All comments will be deleted after a specific amount of posts.<br /></b><b><br />*</b> - Indicates a registered member.<br /><b>#</b> - Indicates a Guest <br /><br />Although you can see the current online registered members in the chat, Guests who are still online will dissapear after a specific amount of time. Be aware that everyime a guest posts, there WILL be multiple instances of the user under Guest. <br /><br />Your IP and Hostname is tracked in case of abuse. To see a user's IP/hostname, hover your mouse over their username in the chat. The rate of refresh is 15 seconds.<br /><br /><i>Administrators have the ability to ban users from the <b>ENTIRE SITE</b>, so BEHAVE!</i>

$langop_chat_warning = 'You can use the message box to leave requests/comments, or talk to Wacintaki members if they are online.<b> All comments will be deleted after a specific amount of posts.<br /></b><b><br />*</b> - Indicates a registered member.<br /><b>#</b> - Indicates a Guest <br /><br />Although you can see the current online registered members in the chat, Guests who are still online will dissapear after a specific amount of time. Be aware that everyime a guest posts, there WILL be multiple instances of the user under Guest. <br /><br />Your IP and Hostname is tracked in case of abuse. To see a user\'s IP/hostname, hover your mouse over their username in the chat. The rate of refresh is 15 seconds.<br /><br /><i>Administrators have the ability to ban users from the <b>ENTIRE SITE</b>, so BEHAVE!</i>';

//NiftyToo Usage
$langop_common_niftytoo = 'niftyToo Usage';

//Database Hostname
$langop_install_dbhostname = 'Database Hostname';

//Database Name
$langop_install_dbname = 'Database Name';

//Database Username
$langop_install_dbusername = 'Database Username';

//Database Password
$langop_install_dbpass = 'Database Password';

//Database Prefix
$langop_install_prefix = 'Database Prefix';

// change if you are installing an additional board
$langop_install_prefixsub = 'change if you are installing an additional board';

//Member Database Prefix
$langop_install_mdbprefix = 'Member Database Prefix';





// if you are trying to install multiple boards using one user database, make sure all other OP board databases that you want to use under one account have the same prefix, otherwise, leave this value alone

$langop_install_mdbprefixsub = 'if you are trying to install multiple boards using one user database, make sure all other OP board databases that you want to use under one account have the same prefix, otherwise, leave this value alone';

//OekakiPoteto Configuration
$langop_install_opconf = 'OekakiPoteto Configuration';

//All the settings are already set to their defaults. You do not have to change any of them, except for "Display - Registration."

$langop_install_opconfsub = 'All the settings are already set to their defaults. You do not have to change any of them, except for "Display - Registration."';

//Display - Registration (Required)
$langop_install_dispreg = 'Display - Registration (Required)';

//URL to OekakiPoteto
$langop_install_opurl = 'URL to OekakiPoteto';

//Registration E-Mail
$langop_install_email = 'Registration E-Mail';

//the e-mail address to use to send out registration information; this is REQUIRED if you are using automatic registration
$langop_install_emailsub = 'the e-mail address to use to send out registration information; this is REQUIRED if you are using automatic registration';

//General
$langop_install_general = 'General';

//Encryption Key
$langop_install_salt = 'Encryption Key';


//An encryption key can be any combination of characters; it is used to generate unique encryption strings for passwords. If you are using multiple boards with the same member database, make sure all boards share the same encryption key.

$langop_install_saltsub = 'An encryption key can be any combination of characters; it is used to generate unique encryption strings for passwords. If you are using multiple boards with the same member database, make sure all boards share the same encryption key.';

//Picture Directory
$langop_install_picdir = 'Picture Directory';

//directory where your pictures will be stored
$langop_install_picdirsub = 'directory where your pictures will be stored';

//Number of pictures to store
$langop_install_picstore = 'Number of pictures to store';

//the max number of pictures the OP can store at a time
$langop_install_picstoresub = 'the max number of pictures the OP can store at a time';

//Registration
$langop_install_reg = 'Registration';

//Automatic User Delete
$langop_install_adel = 'Automatic User Delete';

//user must login within the specified number of days before being physically deleted from the database
$langop_install_adelsub = 'user must login within the specified number of days before being physically deleted from the database';

//days <b>(-1 disables the automatic delete)</b>
$langop_install_adelsub2 = 'days <b>(-1 disables the automatic delete)</b>';

//Allow Guests to Post?
$langop_install_gallow = 'Allow Guests to Post?';

//if yes, guests can make comment posts on the board and chat
$langop_install_gallowsub = 'if yes, guests can make comment posts on the board and chat';

//Require Approval? (Select no for Automatic Registration)
$langop_install_rapproval = 'Require Approval? (Select no for Automatic Registration)';


//if yes, approval by the administrators is required to register
$langop_install_rapprovalsub = 'if yes, approval by the administrators is required to register';


//Enable Draw Access for Non-Approvals?
$langop_install_daccess = 'Enable Draw Access for Non-Approvals?';

//enables/disables automatic assignment of draw flags for non-approvals
$langop_install_daccesssub = 'enables/disables automatic assignment of draw flags for non-approvals';

//Enable Animation Access for Non-Approvals?
$langop_install_aaccess = 'Enable Animation Access for Non-Approvals?';

//enables/disables automatic assignment of animation flags for non-approvals 
$langop_install_aaccesssub = 'enables/disables automatic assignment of animation flags for non-approvals';



//Display - General
$langop_install_dispgen = 'Display - General';

//Default Template
$langop_install_deftem = 'Default Template';

//templates are stored in the templates directory
$langop_install_deftemsub = 'templates are stored in the templates directory';

//Title
$langop_install_title2 = 'Title';

//what you want to call the OekakiPoteto; displayed on the navi bar
$langop_install_title2sub = 'what you want to call the OekakiPoteto; displayed on the navi bar';


//Number of Pics to Display a Page
$langop_install_nopics = 'Number of Pics to Display a Page';

//Display - Chat
$langop_install_dispchat = 'Display - Chat';

//Max Number of Lines to Store for Chat
$langop_install_displinesmax = 'Max Number of Lines to Store for Chat';

//Lines of Chat Text to Display in a Page
$langop_install_displines = 'Lines of Chat Text to Display in a Page';

//Paint Applet Settings
$langop_install_appletset = 'Paint Applet Settings';

//Maximum Animation Filesize
$langop_install_animax = 'Maximum Animation Filesize';

//the max filesize animation files can be in bytes; default is 500,000 bytes or 500KB
$langop_install_animaxsub = 'the max filesize animation files can be in bytes; default is 500,000 bytes or 500KB';

//bytes (1000 bytes = 1KB)
$langop_install_bytes = 'bytes (1000 bytes = 1KB)';

//Canvas Size Limit - Width
$langop_install_canvwid = 'Canvas Size Limit - Width';

//the max width the canvas can be
$langop_install_canvwidsub = 'the max width the canvas can be';

//Canvas Size Limit - Height
$langop_install_canvhei = 'Canvas Size Limit - Height';

//the max height the canvas can be
$langop_install_canvheisubm = 'the max height the canvas can be';


//the default width the user will start with when drawing
$langop_install_canvheisub = 'the default height the user will start with when drawing';

//Default Canvas Size - Width
$langop_install_dcanvwid = 'Default Canvas Size - Width';

//the default width the user will start with when drawing
$langop_install_dcanvwidsub = 'the default width the user will start with when drawing';

//Default Canvas Size - Height
$langop_install_dcanvhei = 'Default Canvas Size - Height';

//the default height the user will start with when drawing
$langop_install_dcanvheisub = 'the default height the user will start with when drawing';

//Misc Settings
$langop_install_miscsettings = 'Misc Settings';

//Administrator Information
$langop_install_admininfo = 'Administrator Information';

//Login
$langop_install_login = 'Login';





//Password
$langop_install_password = 'Password';

//Recover Password
$langop_header_rpass = 'Recover Password';

//Re-Type Password
$langop_install_repassword = 'Re-Type Password';

//TERMS OF USE: OekakiPoteto is freeware. You are allowed to install unlimited copies of OekakiPoteto on your site. You may modify the code and create your own supporting scripts for it as long as you properly credit RanmaGuy and Marcello at the bottom of the OekakiPoteto pages, along with a link back to suteki.nu. If you fail to give us proper credit, your board can be disabled by us. You may NOT sell OekakiPoteto to anyone! If you were sold OekakiPoteto, you got ripped off for a free product. By using OekakiPoteto, modified, or unmodified, you agree to these terms. 

$langop_install_TOS = 'TERMS OF USE: OekakiPoteto is freeware. You are allowed to install unlimited copies of OekakiPoteto on your site. You may modify the code and create your own supporting scripts for it as long as you properly credit RanmaGuy and Marcello at the bottom of the OekakiPoteto pages, along with a link back to suteki.nu. If you fail to give us proper credit, your board can be disabled by us. You may NOT sell OekakiPoteto to anyone! If you were sold OekakiPoteto, you got ripped off for a free product. By using OekakiPoteto, modified, or unmodified, you agree to these terms.';

//Databases Removed!
$langop_install_dbremove = 'Databases Removed!';

//You need to CHMOD your OekakiPoteto directory to 777 before installing OP! Read the readme.txt file if you haven't figured out what other files you need to CHMOD.

$langop_install_error = 'You need to CHMOD your OekakiPoteto directory to 777 before installing OP! Read the install.txt file if you haven\'t figured out what other files you need to CHMOD.';

//If you did not recieve any errors, then the installation has completed. DELETE THIS FILE AND UPGRADE.PHP FROM THE SERVER TO PREVENT SECURITY BREACHES!

$langop_install_complete = 'If you did not recieve any errors, then the installation has completed. DELETE THIS FILE AND UPGRADE.PHP FROM THE SERVER TO PREVENT SECURITY BREACHES!';

//Your Administrator passwords do not match! Try again.
$langop_install_nomatch = 'Your Administrator passwords do not match! Try again.';


//View Pending Users: Select a User
$langop_addusr_vpending = 'View Pending Users: Select a User';

//View Pending Users: Details

$langop_addusr_vpendingdet = 'View Pending Users: Details';

//Comment - Hostname - IP

$langop_addusr_IPdet = 'Comment - Hostname - IP';

//Art URL
$langop_addusr_arturl = 'Art URL';

//Draw Access
$langop_common_drawacc = 'Draw Access';



//Animation Access
$langop_common_aniacc = 'Animation Access';


//Comments (will be sent to the registrant)
$langop_addusr_comment = 'Comments (will be sent to the registrant)';

//You do not have the credentials to add users.
$langop_error_addusr = 'You do not have the credentials to add users.';

//Recover Picture

$langop_recover_rpicture = 'Recover Picture';

//Picture #
$langop_recover_pictureno = 'Picture #';

//The correct type must be specified for re-touch to work properly!
$langop_recover_ctype = 'The correct type must be specified for re-touch to work properly!';

//Edit IP Ban List
$langop_banip_editiplist = 'Edit IP Ban List';

//Use one IP per line; Usage Example: 212.23.21.*
$langop_banip_editiplistsub = 'Use one IP per line; Usage Example: 212.23.21.*';

//Edit Host Ban List
$langop_banip_edithostlist = 'Edit Host Ban List';

//Use one Host per line; Usage Example: *.dsl.snfc.pacbell.net; use this if you want to ban an entire ISP; otherwise, use IP banning!
$langop_banip_edithostlistsub = 'Use one Host per line; Usage Example: *.dsl.snfc.pacbell.net; use this if you want to ban an entire ISP; otherwise, use IP banning!';

//Ban List
$langop_header_banlist = 'Ban&nbsp;List';

//Template Designer
$langop_header_tdesign = 'Template&nbsp;Designer';

//Check Version
$langop_header_chkvrsn = 'Check&nbsp;Version';

//Control Panel
$langop_header_cpanel = 'Control&nbsp;Panel';

//Send OPMail Notice
$langop_header_sendall = 'Send&nbsp;OPMail&nbsp;Notice';


//<b>You have been banned!<br /><br />Reasons:<br /></b>- A user from your ISP was banned, which banned everyone on that ISP<br />- You were banned for malicious use of the OekakiPoteto<br /><br /><i>If you feel that this message was made in error, speak to an adminstrator of the OekakiPoteto.</i>

$langop_banned = '<b>You have been banned!<br /><br />Reasons:<br /></b>- A user from your ISP was banned, which banned everyone on that ISP<br />- You were banned for malicious use of this oekaki<br /><br /><i>If you feel that this message was made in error, speak to an adminstrator of this oekaki.</i>';

//Retrieve Lost Password
$langop_chngpass_title = 'Retrieve Lost Password';

//Because your password is encrypted, there is no way to retrieve it. Instead, you must specify a new password. If you recieve no errors when submitting this form, that means your password has successfully changed and you can login with it once you are redirected to the index page.

$langop_chngpass_disclaimer = 'Because your password is encrypted, there is no way to retrieve it. Instead, you must specify a new password. If you recieve no errors when submitting this form, that means your password has successfully changed and you can login with it once you are redirected to the index page.';

//New Password
$langop_chngpass_newpwd = 'New Password';

//Add Comment
$langop_comment_add = 'Add Comment';

//Title of Picture
$langop_comment_pictitle = 'Title of Picture';

//Adult Picture?
$langop_comment_adult = 'Adult Picture?';

//Comment Database
$langop_comment_database = 'Comment Database';

//will be sent to the artist's mailbox
$langop_picdel_mreason = 'will be sent to the artist\'s mailbox';

//Global Picture Database
$langop_gpicdb_title = 'Global Picture Database';

//Delete User
$langop_deluser_title = 'Delete User';

//will be sent to the deletee
$langop_deluser_mreason = 'will be sent to the deletee';


//Clicking delete will physically remove all records associated with the user, including pictures, comments, etc. An e-mail will be sent to the user appened with your contact e-mail in the case the deletee has further questions on the removal.

$langop_deluser_disclaimer = 'Clicking delete will physically remove all records associated with the user, including pictures, comments, etc. An e-mail will be sent to the user appened with your contact e-mail in the case the deletee has further questions on the removal.';




//Edit Comment
$langop_ecomm_title = 'Edit Comment';


//Animated NoteBBS
$langop_online_aninbbs = 'Animated NoteBBS';

//Normal OekakiBBS
$langop_online_nmrlobbs = 'Normal OekakiBBS';

//Animated OekakiBBS
$langop_online_aniobbs = 'Animated OekakiBBS';

//Normal PaintBBS
$langop_online_npaintbbs = 'Normal PaintBBS';

//Palette PaintBBS
$langop_online_palpaintbbs = 'Palette PaintBBS';

//Admin Pic Recover
$langop_online_apicr = 'Admin Pic Recover';

//Edit News
$langop_enews_title = 'Edit News';

//HTML and PHP is allowed. Your name and post time will automatically appear after each message.
$langop_enews_dir = 'HTML and PHP is allowed. Your name and post time will automatically appear after each message.';

//Erase this line and insert new news here (do not erase the <br />'s)
$langop_enews_dir2 = 'Erase this line and insert new news here (do not erase the <br />\'s)';

//Edit Notice
$langop_enotice_title = 'Edit&nbsp;Notice';

//Edit / Recover Picture Info
$langop_erpic_title = 'Edit / Recover Picture Info';


//Edit Profile
$langop_eprofile_title = 'Edit Profile';


//A valid e-mail address is required for password retrival in case you lose it.
$langop_eprofile_valid = 'A valid e-mail address is required for password retrival in case you lose it.';

//URL Title
$langop_eprofile_urlt = 'URL Title';

//IRC Information
$langop_eprofile_irctitle = 'IRC Information';

//if you use IRC, type the information here
$langop_eprofile_irctitlesub = 'if you use IRC, type the information here';

//Current Template
$langop_eprofile_curtemp = 'Current Template';


//Current Template Details
$langop_eprofile_curtempd = 'Current Template Details';

//Select New Template
$langop_eprofile_templsel = 'Select New Template';

//Comments / Preferences
$langop_eprofile_compref = 'Comments / Preferences';

//Picture View Mode

$langop_eprofile_picview = 'Picture View Mode';


//Horizontal is the default format. Vertical allows you to see larger pictures without comments being squashed by the picture.

$langop_eprofile_picviewsub = 'Horizontal is the default format. Vertical allows you to see larger pictures without comments being squashed by the picture.';

//Allow Adult Images
$langop_eprofile_adult = 'Allow Adult Images';

//You may check this if you are 18+
$langop_eprofile_adultsub = 'You may check this if you are 18+';

//Change Password
$langop_eprofile_chngpass = 'Change Password';

//do not type anything if you are not changing

$langop_eprofile_chngpasssub = 'do not type anything if you are not changing the password';

//Old Password
$langop_eprofile_oldpass = 'Old Password';

//Retype Password
$langop_eprofile_repass = 'Retype Password';

//You will be automatically logged out if your password successfully changes; you need to re-login when this occours.
$langop_eprofile_pdisc = 'You will be automatically logged out if your password successfully changes; you need to re-login when this occours.';


//Use your browser button to go back.
$langop_error_goback = 'Use your browser button to go back.';

//Who's Online
$langop_online_title = 'Who\'s Online';

//last 15 minutes
$langop_online_last = 'last 15 minutes';

//This window refreshes every 15 seconds.

$langop_online_refresh = 'This window refreshes every 15 seconds.';

//View Animation
$langop_viewani_title = 'View Animation';

//file size
$langop_viewani_files = 'File Size';

//Version Check
$langop_vcheck_title = 'Version Check';

//Your OekakiPoteto Version
$langop_vcheck_yver = 'Your OekakiPoteto Version';

//Latest OekakiPoteto Version

$langop_vcheck_lver = 'Latest OekakiPoteto Version';

//Click to download
$langop_vcheck_download = 'Click to download';

//Design / Modify Templates
$langop_templates_title = 'Design / Modify Templates';

//Register New User
$langop_register_title = 'Register New User';



//REQUIRED for notification if your application has been accepted or rejected. Also required if you want to retrieve your password in case you lose it.
$langop_register_sub1 = 'REQUIRED for notification if your application has been accepted or rejected. Also required if you want to retrieve your password in case you lose it.';

//A VALID E-MAIL ADDRESS IS REQUIRED TO REGISTER!
$langop_register_sub2 = 'A VALID E-MAIL ADDRESS IS REQUIRED TO REGISTER!';

//Will be shown on your profile when registering; this comment box is limited to 80 chars for proper introduction so Admins can identify you; your IP and hostname is also tracked for security purposes.

$langop_register_sub3 = 'Will be shown on your profile when registering; this comment box is limited to 80 chars for proper introduction so Admins can identify you; your IP and hostname is also tracked for security purposes.';


//Include a URL to a picture or website that displays a piece of your work that you have done.
$langop_register_sub4 = 'Include a URL to a picture or website that displays a piece of your work that you have done.';


//THIS IS NECESSARY TO REQUEST ACCESS TO DRAW ON OEKAKI
$langop_register_sub5 = 'THIS IS NECESSARY TO REQUEST ACCESS TO DRAW ON OEKAKI';

//DO NOT REGISTER TWICE! You can check if you're in the pending list by viewing the member list and searching for your username. The reasons why approved registration may take awhile is because no one at the moment has time to maintain the pending list.

$langop_register_sub6 = 'DO NOT REGISTER TWICE! You can check if you\'re in the pending list by viewing the member list and searching for your username. The reasons why approved registration may take awhile is because no one at the moment has time to maintain the pending list.';

//Upon submission, you will be taken to the main index.

$langop_register_sub7 = 'Upon submission, you will be taken to the main index.';


//Picture Recovery
$langop_picrecover_title = 'Picture Recovery';

//Profile for
$langop_profile_title = 'Profile for';

//send a message
$langop_profile_sndmsg = 'send a message';

//Latest Pictures
$langop_profile_latest = 'Latest Pictures';


//Modify Canvas Size
$langop_applet_modify = 'Modify Canvas Size';

//Max is
$langop_applet_max = 'Max is';

//Modify Applet Size

$langop_applet_size = 'Modify Applet Size';

//from X canvas size
$langop_applet_x = 'from X canvas size';

//from Y canvas size
$langop_applet_y = 'from Y canvas size';

//If you are re-touching, you may need to refresh your browser to see the new results after submitting your picture.
$langop_applet_retouch = 'If you are re-touching, you may need to refresh your browser to see the new results after submitting your picture.';

//You cannot modify the canvas size when retouching a picture.
$langop_applet_retouchdisc = 'You cannot modify the canvas size when retouching a picture.';

//How to use OekakiBBS
$langop_applet_howop = 'How to use OekakiBBS';

//Play the animation first to get your retouch image when you are doing retouch.
$langop_applet_animationre = 'Play the animation first to get your retouch image when you are doing retouch.';

//Using Niftytoo
$langop_niftytoo_title = 'Using Niftytoo';

//Nifty-markup is a universal markup system for OekakiPoteto. It allows for all the basic formatting you could want in your messages, profiles, and text.
$langop_niftytoo_titlesub = 'Nifty-markup is a universal markup system for OekakiPoteto and Wacintaki Poteto. It allows for all the basic formatting you could want in your messages, profiles, and text.';

//Linking/URLs
$langop_niftytoo_linking = 'Linking/Urls';

//To have a url automatically link, just type it in, beginning with http://
$langop_niftytoo_autolink = 'To have a url automatically link, just type it in, beginning with http://';



//Basic Formatting
$langop_niftytoo_basicfor = 'Basic Formatting';


//Change a font\'s color to the specified <i>colorcode</i>.
$langop_niftytoo_textcol = 'Change a font\'s color to the specified <i>colorcode</i>.';



//will produce
$langop_niftytoo_produce = 'will produce';


//Intermediate Formatting
$langop_niftytoo_intermform = 'Intermediate Formatting';



//Chat Formatting
$langop_niftytoo_chatformat = 'Chat Formatting';

//Preforms an <i>action</i> in chat.
$langop_niftytoo_chatdesc = 'Preforms an <i>action</i> in chat.';

//hits RanmaGuy on the head with a mallet.
$langop_niftytoo_actions = 'hits RanmaGuy on the head with a mallet.';

//Modify Permissions
$langop_niftytoo_permissions = 'Modify&nbsp;Permissions';

//Recover Any Pic
$langop_header_rapic = 'Recover&nbsp;Any&nbsp;Pic';

//Super Administrator
$langop_type_sadmin = 'Super Administrator';

//Owner
$langop_type_owner = 'Owner';

//Administrator
$langop_type_admin = 'Adminstrator';

//Draw Access
$langop_type_daccess = 'Draw Access';

//Animation Access
$langop_type_aaccess = 'Animation Access';

//Immunity
$langop_type_immunity = 'Immunity';

//Adult Viewing
$langop_type_adultview = 'Adult Viewing';

//General User
$langop_type_guser = 'General User';

//A Super Administrator has the ability to add administrators as well as the abilities that Administrators have.
$langop_type_sabil = 'A Super Administrator has the ability to add administrators as well as the abilities that Administrators have.';

//An Administrator has all the basic moderation functions.
$langop_type_aabil = 'An Administrator has all the basic moderation functions.';

//Removing this permission will suspend their account.
$langop_type_general = 'Removing this permission will suspend their account.';

//Gives the user access to draw.
$langop_type_gdaccess = 'Gives the user access to draw.';

//Gives the user access to animate.
$langop_type_gaaccess = 'Gives the user access to animate.';

//Prevents a user from being deleted if the Kill Date is set.
$langop_type_userkill = 'Prevents a user from being deleted if the Kill Date is set.';

//Member List
$langop_mlist_title = 'Member List';

//If you want to search by letter, type in the letter in the search, and select the search mode.
$langop_mlist_helpd = 'If you want to search by letter, type in the letter in the search, and select the search mode.';

//Pending Member
$langop_mlist_pending = 'Pending Member';

//Send Mass Message

$langop_massm_smassm = 'Send Mass Message';

//You can use this to send a global notice to all your users to their OPmailbox. There is one downside; because you are sending a message to EVERY USER on your board, this will result in LOTS of messages in your outbox. Use this if you really have to!
$langop_massm_disc = 'You can use this to send a global notice to all your users to their OPmailbox. There is one downside; because you are sending a message to EVERY USER on your board, this will result in LOTS of messages in your outbox. Use this if you really have to!';

//The message subject
$langop_mail_subdesc = 'The message subject';

//The body of the message
$langop_mail_bodydesc = 'The body of the message';

//Send Message
$langop_sendm_title = 'Send Message';

//Send to
$langop_sendm_sendt = 'Send to';

//The recipient of the message
$langop_sendm_recip = 'The recipient of the message';

//Read Message
$langop_readm_title = 'Read Message';

//Retrieve Lost Password
$langop_lostpwd_title = 'Retrieve Lost Password';

//An e-mail will be sent to the e-mail address you have in your profile. If you did not specify an e-mail address when you registered, you will have to re-register for a new account. The e-mail will contain a URL to where you can specify a new password, as well as the IP and hostname of the computer used to request the password for security purposes.
$langop_lostpwd_directions = 'An e-mail will be sent to the e-mail address you have in your profile. If you did not specify an e-mail address when you registered, you will have to re-register for a new account. The e-mail will contain a URL to where you can specify a new password, as well as the IP and hostname of the computer used to request the password for security purposes.';

//Local Picture Database
$langop_lpicdb_title = 'Local Picture Database';

//Local Comment Database
$langop_lcommdb_title = 'Local Comment Database';

//If this is an adult image, and you are old enough to view it, click on the image.
$langop_adult_view = 'Click to enlarge.';

//Language Settings
$langop_eprofile_langset = 'Language Settings';



//A subject is required to send a message.
$langop_functions_err1 = 'A subject is required to send a message.';

//You cannot use mass mailing.
$langop_functions_err2 = 'You cannot use mass mailing.';

//Access Denied. You do not have permissions to modify archives.
$langop_functions_err3 = 'Access Denied. You do not have permissions to modify archives.';

//The username you are trying to retrieve to does not exist. Please check your spelling and try again.
$langop_functions_err4 = 'The username you are trying to retrieve to does not exist. Please check your spelling and try again.';

//Your new and retyped passwords do not match. Please go back and try again.
$langop_functions_err5 = 'Your new and retyped passwords do not match. Please go back and try again.';

//Invalid retrival codes. This message will only appear if you have attempted to tamper with the password retrieval system.
$langop_functions_err6 = 'Invalid retrival codes. This message will only appear if you have attempted to tamper with the password retrieval system.';

//The username you are trying to retrieve to does not exist. Please check your spelling and try again.
$langop_functions_err7 = 'The username you are trying to retrieve to does not exist. Please check your spelling and try again.';


//A subject is required to send a message.
$langop_functions_err8 = 'A subject is required to send a message.';


//The username you are trying to send to does not exist. Please check your spelling and try again.
$langop_functions_err9 = 'The username you are trying to send to does not exist. Please check your spelling and try again.';

//You need to be logged in to send messages.
$langop_functions_err10 = 'You need to be logged in to send messages.';

//You cannot access messages in the mailbox that do not belong to you.
$langop_functions_err11 = 'You cannot access messages in the mailbox that do not belong to you.';

//Access Denied. You do not have permissions to delete users.
$langop_functions_err12 = 'Access Denied. You do not have permissions to delete users.';

//Access Denied: Your password is invalid, or you are still a pending member.
$langop_functions_err13 = 'Access Denied: Your password is invalid, or you are still a pending member.';

//Invalid verification code.
$langop_functions_err14 = 'Invalid verification code.';

//The e-mail address specified in registration already exists in the database. Please re-register with a different address.
$langop_functions_err15 = 'The e-mail address specified in registration already exists in the database. Please re-register with a different address.';

//You do not have the credentials to access flag modification.
$langop_functions_err16 = 'You do not have the credentials to access flag modification.';

//You do not have the credentials to add or remove users.
$langop_functions_err17 = 'You do not have the credentials to add or remove users.';

//You cannot claim a picture that is not yours.
$langop_functions_err18 = 'You cannot claim a picture that is not yours.';

//You cannot delete a comment that does not belong to you if you are not an Administrator.
$langop_functions_err19 = 'You cannot delete a comment that does not belong to you if you are not an Administrator.';

//You cannot delete a picture that does not belong to you if you are not an Administrator.
$langop_functions_err20 = 'You cannot delete a picture that does not belong to you if you are not an Administrator.';

//You cannot edit a comment that does not belong to you.
$langop_functions_err21 = 'You cannot edit a comment that does not belong to you.';

//Picture recovered by
$langop_recovery_msg1 = 'Picture recovered by';

//please edit your entry by going to My Oekaki to add in the proper comments and title.
$langop_recovery_msg2 = 'please edit your entry by going to My Oekaki to add in the proper comments and title.';

/* Automated Deletion Message */

//Deletion Notice
$langop_kill_title = 'Deletion Notice';

//Dear
$langop_word_dear = 'Dear';

//This is an automated message from the OekakiPoteto automatic deletion system. Your account has been deleted because you have not logged into
$langop_kill_p1 = 'This is an automated message from the Wacintaki Poteto automatic deletion system. Your account has been deleted because you have not logged into';

//in the last
$langop_kill_p2 = 'in the last';

//Because the account has been deleted, all post, comment, and other records associated with your username has been removed, and cannot be re-claimed. To avoid further deletions upon re-registration, be sure to log into your account within the specified amount of days in the FAQ.

$langop_kill_p3 = 'Because the account has been deleted, all post, comment, and other records associated with your username has been removed, and cannot be re-claimed. To avoid further deletions upon re-registration, be sure to log into your account within the specified amount of days in the FAQ.';

//You can also request an Immunity flag from administration which will prevent you from being automatically deleted. If you have any questions, please e-mail the owner of the site.
$langop_kill_p4 = 'You can also request an Immunity flag from administration which will prevent you from being automatically deleted. If you have any questions, please e-mail the owner of the site.';

//Sincerely
$langop_word_sincerely = 'Sincerely';

//Automated Deletion
$langop_kill_p5 = 'Automated Deletion';

/* end Automated Deletion Messages */



/* Recover Password Message */

//Password Recovery
$langop_precover_title = 'Password Recovery';

//You or someone with the IP/hostname
$langop_precover_p1 = 'You or someone with the IP/hostname';

//has requested for a password retrieve on
$langop_precover_p2 = 'has requested for a password retrieve on';

//To retrieve your password, please copy and paste or click on this link into your browser
$langop_precover_p3 = 'To retrieve your password, please copy and paste or click on this link into your browser';

//You will then be asked to specify a new password. If you did not request this, you may discard this message.

$langop_precover_p4 = 'You will then be asked to specify a new password. If you did not request this, you may discard this message.';

//OekakiPoteto Admin
$langop_precover_p5 = 'OekakiPoteto Admin';

/* end Recover Password Message */


/* Manual Deletion Message */

//Deletion Notice
$langop_mandel_title = 'Deletion Notice';

//Your account has been deleted from
$langop_mandel_p1 = 'Your account has been deleted from';

//Deleted by
$langop_mandel_p2 = 'Deleted by';

//If you have any questions, please e-mail the administrator that removed your account.
$langop_mandel_p3 = 'If you have any questions, please e-mail the administrator that removed your account.';

/* End Manual Deletion Message */

/* Automated Registration Message */

//Registration Details
$langop_autoreg_title = 'Registration Details';

//Your registration has been accepted! You may begin to login into
$langop_autoreg_p1 = 'Your registration has been accepted! You may begin to login into';

//using the username and password you supplied during registration. Upon login, you may want to go to Administration to customize your profile, and erase your IP and hostname that was recorded during registration.
$langop_autoreg_p2 = 'using the username and password you supplied during registration. Upon login, you may want to go to Administration to customize your profile, and erase your IP and hostname that was recorded during registration.';

//You have been granted the following permissions
$langop_autoreg_p3 = 'You have been granted the following permissions';

//If you do not have Draw/Animation access, and want it, e-mail an Administrator for more details.\n\nAlso, check the FAQ of the site to see if an automatic deletion date is set. If it has been set, you must login to your account before the specified automatic deletion date to prevent your account from being automatically removed due to inactivity.
$langop_autoreg_p4 = 'If you do not have Draw/Animation access, and want it, e-mail an Administrator for more details.\n\nAlso, check the FAQ of the site to see if an automatic deletion date is set. If it has been set, you must login to your account before the specified automatic deletion date to prevent your account from being automatically removed due to inactivity.';

//Approved by: Automated Registration
$langop_autoreg_p5 = 'Approved by: Automated Registration';

/* end Automatic Registration Message */

/* Verification Message */

//Verification Notice
$langop_verreg_title = 'Verification Notice';

//You have registered for 
$langop_verreg_p1 = 'You have registered for';



//To complete your registration, please copy and paste or click on this link into your browser
$langop_verreg_p2 = 'To complete your registration, please copy and paste or click on this link into your browser';

//This will verify your account so you can login into the OekakiPoteto.
$langop_verreg_p3 = 'This will verify your account so you can login into the oekaki board.';


/* end Verification Message */

/* Rejection Message */

//Your registration at
$langop_rejmsg_p1 = 'Your registration at';

//has been rejected. Please e-mail the
$langop_rejmsg_p2 = 'has been rejected. Please e-mail the';

//administrator who rejected you for more details. DO NOT reply to this e-mail address.
$langop_rejmsg_p3 = 'administrator who rejected you for more details. DO NOT reply to this e-mail address.';

/* end Rejection Message */

/* Picture Removal Notice */

//Your picture has been removed
$langop_picdel_title = 'Your picture has been removed';

//has been removed from the database by Administrator
$langop_picdel_p1 = 'has been removed from the database by Administrator';

//for the following reason
$langop_picdel_p2 = 'for the following reason';

//If you have any questions/comments regarding the action, you may reply to this message.
$langop_picdel_p3 = 'If you have any questions/comments regarding the action, you may reply to this message.';

/* end Picture Removal Notice */



/* FAQ */

$langop_faq_title = 'Frequently Asked Questions';

$langop_faq_curver = 'Current Wacintaki Poteto Version:';

$langop_faq_autoset = 'Automatic deletion set at';

$langop_faq_noset = 'No automatic deletion is set.';

$langop_faq_toc = 'Table of Contents';

$langop_faq_question[0] = 'How do I start drawing?';

$langop_faq_answer[0] = 'If you are registered and have a draw flag, you may begin drawing by clicking on <a href="draw.php">&ldquo;Draw&rdquo;</a> on the menu bar.  If you do not have a draw flag, contact an administrator for details on how to acquire one.  Note that admins may revoke your ability to draw (rather than ban you) at any time if you misbehave.';


$langop_faq_question[1] = 'How do I start animating?';

$langop_faq_answer[1] = 'On the draw screen where you select the applet you want to use, make sure the animation checkbox is selected.  Then, just draw as you normally would.  The applet will automatically track your movements and store it in a file.';


$langop_faq_question[2] = 'I can\'t see / start the applet.';

$langop_faq_answer[2] = 'Try downloading the Sun Java Runtime Environment, or JRE, at <a href="http://www.Java.com">http://www.Java.com</a>.  Older versions of Windows support Java with a program called the Microsoft Virtual Machine, which has always had problems and has been discontinued.  The latest version of Internet Explorer works well with the JRE, but you may want to get a more stable alternative browser, such as <a href="http://www.mozilla.org/products/firefox/">Firefox</a> or <a href="http://www.opera.com/">Opera</a>, to minimize the risk of lost drawings.';


$langop_faq_question[3] = 'I can\'t retouch my pictures -- the canvas is blank!';

$langop_faq_answer[3] = 'Again, try downloading the latest JRE at <a href="http://www.Java.com">http://www.Java.com</a>.  Some versions of Java, and the Microsoft Virtual Machine, do not store images properly and may prevent them from being imported into applets.  You may also want to enable animation support when drawing, which will allow retouching with older versions of Java.  Turning on animation support will help solve the retouch problem on most other oekaki boards, too.';


$langop_faq_question[4] = 'I can\'t submit pictures with the OekekiBBS applet!';

$langop_faq_answer[4] = 'Unfortunately, there is a compatibility problem with the OekakiBBS applet and the Windows version of the Sun Java Runtime Environment, also known as the Java Plugin.  OekakiBBS will run normally, but is unable to submit a picture once it has been completed.<br />'."\n<br />\n".
'Older versions of Windows come with a Java platform called the Microsoft Virtual Machine, but this has been discontinued in newer versions of Windows.  The Java Plugin is distributed by Sun Microsystmes and must be downloaded seperately from <a href="http://www.Java.com">Sun\'s Website</a>.<br />'."\n<br />\n".
'If you prefer to use the OekakiBBS applet, you may uninstall the JRE and use the Microsoft Virtual Machine.  It is also possible to only install the JRE with an alternative browser like Firefox, and use Microsoft\'s VM only with Internet Explorer, but this is not recommended.<br />'."\n<br />\n".
'This issue is a problem with the OekakiBBS applet itself.  If a newer version of OekakiBBS is released that is compatible with the Java Plugin, Wacintaki may include it.';


$langop_faq_question[5] = 'I lost my password!';

$langop_faq_answer[5] = 'You may recover your password <a href="lostpass.php">here</a>.'."<br />\n<br />\n".'If you can\'t get your password back with password recovery, tell the owner of the board, and he or she can give you a new password.';


$langop_faq_question[6] = 'I can\'t logout!';

$langop_faq_answer[6] = 'This is likely a web browser problem.  You should empty your browser cookies.  A cookie is a small tag of information that lets a server know who you are.  Most browsers have an option to clear cookies from the &ldquo;Tools->Options&rdquo; menu.';


$langop_faq_question[7] = 'My picture didn\'t post, or I wasn\'t able to comment, and lost my picture!';

$langop_faq_answer[7] = 'Your picture may not be lost.  If the picture finished uploading, but you were unable to comment, go to &ldquo;Administration->Recover Pics&rdquo; to recover it.  Your information has still saved, including the time it took for you to draw it.  If you have trouble, the administrator may recover pictures for you, or upload a screen capture you took using the &ldquo;Print Scrn&rdquo; key.<br />'."\n<br />\n".
'<strong>NOTE</strong>:  Pictures saved using a screen capture may be very large and in a format not compatible with Wacintaki.  Please tell an administrator about your lost picture <strong>before</strong> sending a huge picture file to an admin\'s e-mail address!';


$langop_faq_question[8] = 'How do I upload pictures?';

$langop_faq_answer[8] = 'By default, only administrators may upload pictures.  However, admins may enable upload access to individual members on a case-by-case basis.  Ask an administrator for upload permissions.'."<br />\n<br />\n".
'Note that some people don\'t like pictures on oekaki boards that are not drawn with the paint applets, so if you are granted access to the upload feature, use it in accordance with the board <a href="showrules.php">Rules</a>.';


$langop_faq_question[9] = 'Why can\'t I immediately see my updated picture when I re-touch it?';

$langop_faq_answer[9] = 'Most likely it is a problem with your web browser.  To resolve the issue, just refresh your page.  If that doesn\'t work, you may have to clear your web browser\'s cache.'."<br />\n<br />\n".
'Most web browsers will allow you to refresh the page and clear the cache in one step by holding &ldquo;Ctrl-F5,&rdquo;  or allow you to manually clear the cache (or &ldquo;Temporary Internet Files&rdquo;) via the &ldquo;Tools->Options&rdquo; menu.';


$langop_faq_question[10] = 'Why can\'t I see any e-mail addresses?';

$langop_faq_answer[10] = 'To help protect e-mail addresses from spam, you must be logged into your account to see other peoples\' addresses in their profile or the memberlist.<br />'."\n<br />\n".'You will always be able to see admin e-mails, but you will have to substitute the anti-spam character with the &ldquo;@&rdquo; symbol.';


$langop_faq_question[11] = 'What happened to the chat / mailbox?';

$langop_faq_answer[11] = 'Wacintaki Poteto allows administrators to disable the chat and mailbox systems normally found in OekakiPoteto.  The chat system uses a lot of bandwidth and some servers may not be able to use it.  If the mailbox has been disabled, you may send e-mails to people directly by viewing that person\'s profile or the memberlist.  Note that you must be a member and logged in to see e-mail addresses.';


$langop_faq_question[12] = 'How may I send a mailbox message to someone?';

$langop_faq_answer[12] = 'Click on member names to open up their profiles, and click on &ldquo;send a message&rdquo; at the top of that page.  You must be logged into your account to send messages.';


$langop_faq_question[13] = 'What is an archive?';

$langop_faq_answer[13] = 'When the picture limit is reached, OP will recycle through the picture count starting at 0.  Archiving a picture will prevent it from being overwritten by this process.  Only administrators can do this.  Future versions of Wacintaki may replace the archive with another system.<br />'."\n<br />\n".
'Please do not argue with admins over [non]-archived pictures.';


$langop_faq_question[14] = 'What is &ldquo;automatic user delete?&rdquo;';

$langop_faq_answer[14] = 'If it is set, at a specific date, all users who haven\'t logged in within the specified time will automatically be removed from the board. To prevent this from happening, ask an administrator to give you an Immunity flag, or log into the board on a regular basis.';


$langop_faq_question[15] = 'What is considered an adult picture?';

$langop_faq_answer[15] = 'An adult picture is anything that is only suitable for 18+ viewing.  This includes aggressive violence, nudity, or anything of a sexual or explicit nature.  If you are drawing such a picture, please tag it with an adult flag when posting your comment.  If you cannot view adult pictures and would like to see them, you must select &ldquo;Edit Profile&rdquo;, and make sure the &ldquo;Allow Adult Images&rdquo; checkbox is selected.<br />'."\n<br />\n".
'You should read the <a href="showrules.php">Rules</a> to see if any additional or alternative conditions have been specified by the admins.';


$langop_faq_question[16] = 'Why are some pictures shrunken into a thumbnail, while others are not?';

$langop_faq_answer[16] = 'Images become thumbnails based on a number of factors, including the filesize of your image, and what thumbnail mode the administrator has selected for the BBS.  You may change thumbnail and layout modes in <a href="editprofile.php">&ldquo;Edit Profile&rdquo;</a> if the administrator allows members to choose their own view modes.';

//

$langop_faq_question2[0] = 'What is OekakiPoteto?';

$langop_faq_answer2[0] = 'OekakiPoteto (horrible Japanese romanji conjugate of &ldquo;Protect&rdquo;) is a PHP extension of the OekakiBBS and PaintBBS online painting applets where artists can draw and post their work online.  It does not rely on OekakiBBS\' &ldquo;picture.cgi&rdquo; (which can easily be hacked), and is more protected in the fact that it uses a private registration system for users to post pictures.';


$langop_faq_question2[1] = 'What is Wacintaki Poteto?';

$langop_faq_answer2[1] = 'Wacintaki is a full rewrite of the original OekakiPoteto, and is maintained by <a href="http://www.NineChime.com/Waccoon/">Marc &ldquo;Waccoon&rdquo; Leveille</a>.  Since OekakiPoteto 5.x has been officially discontinued, Wacintaki was written to fix a few bugs and update the BBS to be compatible with more modern servers and web browsers.  It also includes a few new features, like thumbnails, better performance, support for Shi-Painter, uploads, and lower bandwidth usage.';


$langop_faq_question2[2] = 'Who is responsible for the development of OekakiPoteto and Wacintaki Poteto?';

$langop_faq_answer2[2] = 'OekakiPoteto was written by <a href="http://www.suteki.nu">Theo Chakkapark</a> (aka RanmaGuy) and <a href="http://www.cellosoft.com">Marcello Basta-Forte</a>.  RanmaGuy is the main coder for OekakiPoteto, while Marcello has written the parsing code for the OekakiBBS and PaintBBS applets, as well as the PaintBBS hack to allow retouching.  <a href="http://www.pitythefool.net">Travis</a> coded the ban script used in OekakiPoteto to keep the evil people away.  Special thanks goes to <a href="http://www.oekakicentral.com">Uriel</a> for providing development space for OekakiPoteto, as well as providing us with detailed bug reports.<br />'."\n<br />\n".
'Wacintaki Poteto was written by Marc Leveille, using the original OekakiPoteto code as reference, and has been released with permission from Theo Chakkapark.  Any unmodified OekakiPoteto 4.x or 5.x board may be upgraded to Wacintaki Poteto!';


$langop_faq_question2[3] = 'Where can I get my own FREE OekakiPoteto / Wacintaki Poteto?';

$langop_faq_answer2[3] = 'The last version of OekakiPoteto is 5.1.0a, and may be downloaded from <a href="http://suteki.nu.">RanmaGuy\'s Homepage</a>.<br />'."\n<br />\n".
'Wacintaki Poteto may be downloaded from the <a href="http://www.NineChime.com/products/">NineChime Software Products</a> page.';


$langop_faq_question2[4] = 'Will there be a new version of OekakiPoteto?';

$langop_faq_answer2[4] = 'Development of a brand new, open-source OekakiPoteto is proceeding nicely.  For more information about the project, view the <a href="http://suteki.nu/community/">development forum</a>.  Currently, Waccoon\'s plan is that Wacintaki will be retired and replaced with the new open-source OekakiPoteto when it becomes available.';


//$langop_faq_question2[5] = 'What\'s with the banana?  Shouldn\'t the logo be a potato or something?';

//$langop_faq_answer2[5] = '"Banana" is the name of the default template for Wacintaki, and is day-glo yellow, to fit the theme of my personal oekaki board.';


$langop_faq_questionA = 'Who is the Owner of this Oekaki?';

$langop_faq_answerA = 'The following are Owners:';

$langop_faq_questionB = 'Who are the Super Admins?';

$langop_faq_answerB = 'The following are Super Admins:';

$langop_faq_questionC = 'Who are the Administrators?';

$langop_faq_answerC = 'The following are Administrators:';

/* End FAQ */



$langop_word_new = 'New';

$langop_word_unread = 'Unread';

$langop_word_read = 'Read';

$langop_word_replied = 'Replied';

$langop_template_edittemplate = 'Edit Template';

$langop_kill_p6 = 'days. If you want to re-register, go to';

$langop_register_sub8 = 'After you have registered, check your e-mail for the link to activate your account.';

$langop_common_postedby = 'Posted by';

$langop_common_editedon = 'Edited on';

?>